Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055855 - [RFE][nova]: Libvirt - Enable support for RNG device
Summary: [RFE][nova]: Libvirt - Enable support for RNG device
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: Upstream M3
: 5.0 (RHEL 7)
Assignee: Daniel Berrange
QA Contact: Toure Dunnon
URL: https://blueprints.launchpad.net/nova...
Whiteboard: upstream_milestone_icehouse-3 upstrea...
Depends On:
Blocks: 1068651 1082396
TreeView+ depends on / blocked
 
Reported: 2014-01-21 05:02 UTC by RHOS Integration
Modified: 2016-04-27 00:25 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
The Libvirt Compute driver now supports adding a Virtio RNG device to compute instances to provide increased entropy. Virtio RNG is a paravirtual, random-number generation device, which allows the compute node to provide entropy to compute instances in order to fill their entropy pool. The default entropy device used is /dev/random, however the use of a physical hardware RNG device attached to the host is also possible. The use of the Virtio RNG device is enabled using the hw_rng property in the metadata of the image used to build the instance.
Clone Of:
: 1068651 1082396 (view as bug list)
Environment:
Last Closed: 2014-07-08 15:27:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2014:0853 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement - Compute 2014-07-08 19:22:38 UTC

Description RHOS Integration 2014-01-21 05:02:16 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/nova/+spec/libvirt-rng-device.

Description:

Virtio RNG is a paravirtual random number generator device, allows the host to inject entropy into guests, in order to fill its entropy pool. /dev/random will be used as a default entropy source on the host, however, a physical HW RNG device could be configured as well.
Other hypervisors will be able to set their own supported models of RNG devices using the hw_rng property in image metadata. 

Specification URL (additional information):

https://wiki.openstack.org/wiki/LibvirtVirtioRng

Comment 1 Keith Basil 2014-02-06 19:43:10 UTC
Added rhos‑4.0.z support.  Several customers in the security space need these feature to support stronger RNG in their guests/applications.

Comment 4 Scott Lewis 2014-02-21 15:34:22 UTC
(In reply to Keith Basil from comment #1)
> Added rhos‑4.0.z support.  Several customers in the security space need
> these feature to support stronger RNG in their guests/applications.

cloned to https://bugzilla.redhat.com/show_bug.cgi?id=1068651

Comment 14 errata-xmlrpc 2014-07-08 15:27:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2014-0853.html


Note You need to log in before you can comment on or make changes to this bug.